Subject: Re: [Mip4] Comments on: Generic Notification Message for Mobile IPv4

From: Hui Deng <[email-masked]>
Date: Mon, 9 Mar 2009 22:15:42 +0800

Hi, Ahmad,

the word you raised is help, I also add one spcial clarification for FA.
thank you also for reviewing HA section

Best regards,

-Hui

   The MN and HA MUST maintain the following information, the FA also
   need maintain both HA's and MN's direction the below information:

      - the IP source address of the Registration Request/Reply

      - the IP destination address of the Registration Request/Reply

      - the UDP source port of the Registration Request/Reply

      - the UDP destination port of the Registration Request/Reply

   The sending node always sends the GNM message following the same
   procedure for sending Registration Request as in section 3.3 of
   [RFC3344] and the receiving node follows the same procedure for
   Registration Reply as in section 3.4. of [RFC3344] when sending GNAM.

2009/2/16 Ahmad Muhanna <[email-masked]>:
> Hi Hui,
> looks good. I have one comment and a reply inline.
>
> Regards,
> Ahmad
> ________________________________
>
>                ++++++++++++++++
>
>                4.1.  Generic Notification Message
>
>                  A generic notification message is sent by a mobility
> agent to inform
>                  another mobility agent, or a MN, of MIP-related
> information such as
>                  vendor specific extensions [RFC3115] and generic
> string
>                  notification [RFC4917].  These messages must use the
> same IP and UDP
>                  headers as any previous Registration Request or Reply
> message to the
>                  same entity.  This would support NAT traversal and
> ensure same
>                  security association used for GNM/GNAM and RRQ/RRP.
> The generic
>                  notification message is defined as follows:
>
>                  IP Fields:
>
>                    Source Address         Same as the last Registration
> Reply/Request
>                                           message received.
>
>                    Destination Address    Same as the last Registration
> Reply/Request
>                                           message.
>
>                  UDP Fields:
>
>                    Source Port            Same as the last Registration
> Reply/Request
>                                           message.
>
>                    Destination Port       Same as the last Registration
> Reply/Request
>                                           message.
>
>                [Ahmad-1]
>                Are these information saved in the mobile node BCE? I
> did not check
>                RFC3344 lately but just in case, if these IP addresses
> are not currently
>                save in the MN binding, then it needs to be added.
>
>                [Ahmad-end-1]
>
>        Your recollection is correct, those information are not saved in
> BCE, so I add
>        one paragraph below
>           The MN, FA, and HA MUST maintain the following information:
>              - the IP source address of the Registration Request/Reply
>              - the IP destination address of the Registration
> Request/Reply
>              - the UDP source port of the Registration Request/Reply
>              - the UDP destination port of the Registration
> Request/Reply
>
> [Ahmad-1]
> This way looks ok but the text should be more specific to each node. In
> other words, what the MN needs to keep, what the FA needs to keep, etc.
> Especially the FA should be unique in here. IMO, the draft should not
> leave this information vague in order to eliminate interoperability
> issues.
>
> Actually, after thinking about this one more time, a much easier
> approach should be something like the following:
>
> The sending node always sends the GNM message following the same
> procedure for sending Registration Request as in section 3.3 of
> [RFC3344] and the receiving node follows the same procedure for
> Registration Reply as in section 3.4. of [RFC3344] when sending GNAM.
>
> IMO, this should work fine with messages sent to the FA and HA. With
> respect to messages sent to the MN, it may be a little tricky. But a
> mobile node which will support this draft, will comply with its
> requirement.
>
> [Ahmad-end-1]
>
>                Finally, I did not review the HA section.
>
>        If you have time, I would say thanks again if you could help to
> review HA section.
>
> [Ahmad]
> Sure. I will try to do that and share with you my comments, if I have
> any.
>
>
>        Thanks for your detail review.
>        Please feel free to let me know if you are fine with those
> revisions.
>
>        Best regards,
>
>        -Hui
>
>
>
>                Regards,
>                Ahmad
>
>
>
>
>